You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@kylin.apache.org by xx...@apache.org on 2020/06/22 12:04:18 UTC

[kylin] branch master-hadoop3 updated: Upgrade tomcat vertion to 8.5.51

This is an automated email from the ASF dual-hosted git repository.

xxyu pushed a commit to branch master-hadoop3
in repository https://gitbox.apache.org/repos/asf/kylin.git


The following commit(s) were added to refs/heads/master-hadoop3 by this push:
     new 66059a6  Upgrade tomcat vertion to 8.5.51
66059a6 is described below

commit 66059a6f9b5e76606dc4661fd1f0e81f72f21d13
Author: rupengwang <wa...@live.cn>
AuthorDate: Sat Feb 29 13:12:21 2020 +0800

    Upgrade tomcat vertion to 8.5.51
---
 build/script/download-tomcat.sh                             | 6 +++---
 pom.xml                                                     | 2 +-
 server/src/main/java/org/apache/kylin/rest/DebugTomcat.java | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/build/script/download-tomcat.sh b/build/script/download-tomcat.sh
index 0f580e9..17b4345 100755
--- a/build/script/download-tomcat.sh
+++ b/build/script/download-tomcat.sh
@@ -27,13 +27,13 @@ if [[ `uname -a` =~ "Darwin" ]]; then
     alias md5cmd="md5 -q"
 fi
 
-tomcat_pkg_version="7.0.100"
-tomcat_pkg_md5="79be4ba5a6e770730a4be3d5cb3c7862"
+tomcat_pkg_version="8.5.51"
+tomcat_pkg_md5="be0e56e47b2b3d56a2fec527d3e14ee1"
 
 if [ ! -f "build/apache-tomcat-${tomcat_pkg_version}.tar.gz" ]
 then
     echo "no binary file found"
-    wget --directory-prefix=build/ http://archive.apache.org/dist/tomcat/tomcat-7/v${tomcat_pkg_version}/bin/apache-tomcat-${tomcat_pkg_version}.tar.gz || echo "Download tomcat failed"
+    wget --directory-prefix=build/ http://archive.apache.org/dist/tomcat/tomcat-8/v${tomcat_pkg_version}/bin/apache-tomcat-${tomcat_pkg_version}.tar.gz || echo "Download tomcat failed"
 else
     if [ `md5cmd build/apache-tomcat-${tomcat_pkg_version}.tar.gz | awk '{print $1}'` != "${tomcat_pkg_md5}" ]
     then
diff --git a/pom.xml b/pom.xml
index 1d8d9b6..77e2338 100644
--- a/pom.xml
+++ b/pom.xml
@@ -149,7 +149,7 @@
         <cglib.version>3.2.4</cglib.version>
         <supercsv.version>2.4.0</supercsv.version>
         <cors.version>2.5</cors.version>
-        <tomcat.version>7.0.100</tomcat.version>
+        <tomcat.version>8.5.51</tomcat.version>
         <t-digest.version>3.1</t-digest.version>
         <freemarker.version>2.3.23</freemarker.version>
         <rocksdb.version>5.9.2</rocksdb.version>
diff --git a/server/src/main/java/org/apache/kylin/rest/DebugTomcat.java b/server/src/main/java/org/apache/kylin/rest/DebugTomcat.java
index a238a8f..96698f9 100644
--- a/server/src/main/java/org/apache/kylin/rest/DebugTomcat.java
+++ b/server/src/main/java/org/apache/kylin/rest/DebugTomcat.java
@@ -21,7 +21,7 @@ package org.apache.kylin.rest;
 import org.apache.catalina.Context;
 import org.apache.catalina.core.AprLifecycleListener;
 import org.apache.catalina.core.StandardServer;
-import org.apache.catalina.deploy.ErrorPage;
+import org.apache.tomcat.util.descriptor.web.ErrorPage;
 import org.apache.catalina.startup.Tomcat;
 import org.apache.commons.io.FileUtils;
 import org.apache.commons.lang3.StringUtils;